Manifest-Version: 1.0
Bnd-LastModified: 1740759071587
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Headless Admin Taxonomy Implementation
Bundle-SymbolicName: com.liferay.headless.admin.taxonomy.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.66.hotfix-6478-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.asset.category.property.model;version="3.1
 ",com.liferay.asset.category.property.service;version="1.6",com.lifer
 ay.asset.kernel;version="2.1",com.liferay.asset.kernel.exception;vers
 ion="3.0",com.liferay.asset.kernel.model;version="10.0",com.liferay.a
 sset.kernel.service;version="8.2",com.liferay.depot.util;version="1.0
 ",com.liferay.headless.admin.taxonomy.dto.v1_0;version="4.1",com.life
 ray.headless.admin.taxonomy.resource.v1_0;version="10.1",com.liferay.
 headless.common.spi.odata.entity;version="1.1",com.liferay.headless.c
 ommon.spi.service.context;version="2.1",com.liferay.oauth2.provider.s
 cope;version="1.0",com.liferay.petra.function;version="1.5",com.lifer
 ay.petra.function.transform;version="1.2",com.liferay.petra.string;ve
 rsion="1.7",com.liferay.portal.kernel.dao.orm;version="12.0",com.life
 ray.portal.kernel.exception;version="13.2",com.liferay.portal.kernel.
 log;version="8.0",com.liferay.portal.kernel.model;version="30.2",com.
 liferay.portal.kernel.search;version="20.2",com.liferay.portal.kernel
 .search.filter;version="1.0",com.liferay.portal.kernel.security.auth;
 version="6.1",com.liferay.portal.kernel.security.permission;version="
 6.5",com.liferay.portal.kernel.security.permission.resource;version="
 2.2",com.liferay.portal.kernel.service;version="24.1",com.liferay.por
 tal.kernel.service.permission;version="5.0",com.liferay.portal.kernel
 .theme;version="10.5",com.liferay.portal.kernel.util;version="60.1",c
 om.liferay.portal.odata.entity;version="2.1",com.liferay.portal.odata
 .filter;version="1.1",com.liferay.portal.odata.filter.expression;vers
 ion="2.3",com.liferay.portal.odata.sort;version="1.2",com.liferay.por
 tal.vulcan.accept.language;version="1.1",com.liferay.portal.vulcan.ag
 gregation;version="2.0",com.liferay.portal.vulcan.batch.engine;versio
 n="5.0",com.liferay.portal.vulcan.batch.engine.resource;version="1.1"
 ,com.liferay.portal.vulcan.dto.action;version="1.0",com.liferay.porta
 l.vulcan.dto.converter;version="4.0",com.liferay.portal.vulcan.fields
 ;version="2.2",com.liferay.portal.vulcan.graphql.annotation;version="
 1.2",com.liferay.portal.vulcan.graphql.servlet;version="2.3",com.life
 ray.portal.vulcan.jaxrs.exception.mapper;version="4.0",com.liferay.po
 rtal.vulcan.pagination;version="1.4",com.liferay.portal.vulcan.permis
 sion;version="2.1",com.liferay.portal.vulcan.resource;version="6.2",c
 om.liferay.portal.vulcan.util;version="11.2",com.liferay.portlet.asse
 t.model.impl;version="6.0",com.liferay.portlet.asset.util;version="5.
 0",com.liferay.subscription.service;version="1.9",io.swagger.v3.oas.a
 nnotations;version="2.0",io.swagger.v3.oas.annotations.enums;version=
 "2.0",io.swagger.v3.oas.annotations.info;version="2.0",io.swagger.v3.
 oas.annotations.tags;version="2.0",javax.servlet.http,javax.validatio
 n.constraints;version="2.0",javax.ws.rs;version="2.1",javax.ws.rs.cor
 e;version="2.1",javax.ws.rs.ext;version="2.1",org.osgi.framework;vers
 ion="1.8",org.osgi.service.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Hypermedia REST APIs
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.headless.admin.taxonomy.internal.dto.v1_0
 .action,com.liferay.headless.admin.taxonomy.internal.dto.v1_0.action.
 metadata,com.liferay.headless.admin.taxonomy.internal.dto.v1_0.conver
 ter,com.liferay.headless.admin.taxonomy.internal.dto.v1_0.util,com.li
 feray.headless.admin.taxonomy.internal.graphql.mutation.v1_0,com.life
 ray.headless.admin.taxonomy.internal.graphql.query.v1_0,com.liferay.h
 eadless.admin.taxonomy.internal.graphql.servlet.v1_0,com.liferay.head
 less.admin.taxonomy.internal.jaxrs.application,com.liferay.headless.a
 dmin.taxonomy.internal.jaxrs.exception.mapper,com.liferay.headless.ad
 min.taxonomy.internal.odata.entity.v1_0,com.liferay.headless.admin.ta
 xonomy.internal.resource.v1_0,com.liferay.headless.admin.taxonomy.int
 ernal.resource.v1_0.factory,com.liferay.headless.admin.taxonomy.inter
 nal.security.permission
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .headless.admin.taxonomy.internal.resource.v1_0.OpenAPIResourceImpl";
 uses:="com.liferay.headless.admin.taxonomy.internal.resource.v1_0",os
 gi.service;objectClass:List<String>="com.liferay.headless.admin.taxon
 omy.resource.v1_0.KeywordResource";uses:="com.liferay.headless.admin.
 taxonomy.resource.v1_0",osgi.service;objectClass:List<String>="com.li
 feray.headless.admin.taxonomy.resource.v1_0.KeywordResource$Factory";
 uses:="com.liferay.headless.admin.taxonomy.resource.v1_0",osgi.servic
 e;objectClass:List<String>="com.liferay.headless.admin.taxonomy.resou
 rce.v1_0.TaxonomyCategoryResource";uses:="com.liferay.headless.admin.
 taxonomy.resource.v1_0",osgi.service;objectClass:List<String>="com.li
 feray.headless.admin.taxonomy.resource.v1_0.TaxonomyCategoryResource$
 Factory";uses:="com.liferay.headless.admin.taxonomy.resource.v1_0",os
 gi.service;objectClass:List<String>="com.liferay.headless.admin.taxon
 omy.resource.v1_0.TaxonomyVocabularyResource";uses:="com.liferay.head
 less.admin.taxonomy.resource.v1_0",osgi.service;objectClass:List<Stri
 ng>="com.liferay.headless.admin.taxonomy.resource.v1_0.TaxonomyVocabu
 laryResource$Factory";uses:="com.liferay.headless.admin.taxonomy.reso
 urce.v1_0",osgi.service;objectClass:List<String>="com.liferay.portal.
 vulcan.dto.action.DTOActionProvider";uses:="com.liferay.portal.vulcan
 .dto.action",osgi.service;objectClass:List<String>="com.liferay.porta
 l.vulcan.dto.converter.DTOConverter";uses:="com.liferay.portal.vulcan
 .dto.converter",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.vulcan.graphql.servlet.ServletData";uses:="com.liferay.portal.vu
 lcan.graphql.servlet",osgi.service;objectClass:List<String>="javax.ws
 .rs.core.Application";uses:="javax.ws.rs.core",osgi.service;objectCla
 ss:List<String>="javax.ws.rs.ext.ExceptionMapper";uses:="javax.ws.rs.
 ext"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.category.property.service.AssetCategoryPropertyLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.ke
 rnel.service.AssetCategoryLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.asset.kernel.service.AssetCatego
 ryService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.asset.kernel.service.AssetEntryLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.servic
 e.AssetTagLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.asset.kernel.service.AssetTagService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.
 service.AssetVocabularyLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.asset.kernel.service.AssetVocabular
 yService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.headless.admin.taxonomy.resource.v1_0.KeywordResource)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.headless.a
 dmin.taxonomy.resource.v1_0.TaxonomyCategoryResource)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.headless.admin.tax
 onomy.resource.v1_0.TaxonomyVocabularyResource)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.oauth2.provider.scope.Sc
 opeChecker)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.security.permission.PermissionCheckerFactory)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.CompanyLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.GroupLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.ResourceActionLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.ResourcePermissionLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.RoleLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.UserLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.odata.filter.ExpressionConvert)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.odata.filter.FilterParserProvid
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.odata.sort.SortParserProvider)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.vulcan.dto.action.DTOActio
 nProvider)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.vulcan.dto.converter.DTOConverter)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.vulcan.dto.conv
 erter.DTOConverterRegistry)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.vulcan.resource.OpenAPIResource)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.subscri
 ption.service.SubscriptionLocalService)";effective:=active,osgi.exten
 der;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(versi
 on>=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osg
 i.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=
 JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.headless.admin.taxonomy.intern
 al.dto.v1_0.action.KeywordDTOActionProvider.xml,OSGI-INF/com.liferay.
 headless.admin.taxonomy.internal.dto.v1_0.action.TaxonomyCategoryDTOA
 ctionProvider.xml,OSGI-INF/com.liferay.headless.admin.taxonomy.intern
 al.dto.v1_0.action.TaxonomyVocabularyDTOActionProvider.xml,OSGI-INF/c
 om.liferay.headless.admin.taxonomy.internal.dto.v1_0.converter.Keywor
 dDTOConverter.xml,OSGI-INF/com.liferay.headless.admin.taxonomy.intern
 al.dto.v1_0.converter.TaxonomyCategoryDTOConverter.xml,OSGI-INF/com.l
 iferay.headless.admin.taxonomy.internal.graphql.servlet.v1_0.ServletD
 ataImpl.xml,OSGI-INF/com.liferay.headless.admin.taxonomy.internal.jax
 rs.application.HeadlessAdminTaxonomyApplication.xml,OSGI-INF/com.life
 ray.headless.admin.taxonomy.internal.jaxrs.exception.mapper.Duplicate
 KeywordExceptionMapper.xml,OSGI-INF/com.liferay.headless.admin.taxono
 my.internal.jaxrs.exception.mapper.DuplicateTaxonomyCategoryException
 Mapper.xml,OSGI-INF/com.liferay.headless.admin.taxonomy.internal.jaxr
 s.exception.mapper.DuplicateTaxonomyVocabularyExceptionMapper.xml,OSG
 I-INF/com.liferay.headless.admin.taxonomy.internal.jaxrs.exception.ma
 pper.EmptyKeywordExceptionMapper.xml,OSGI-INF/com.liferay.headless.ad
 min.taxonomy.internal.jaxrs.exception.mapper.KeywordNameExceptionMapp
 er.xml,OSGI-INF/com.liferay.headless.admin.taxonomy.internal.jaxrs.ex
 ception.mapper.TaxonomyCategoryNameExceptionMapper.xml,OSGI-INF/com.l
 iferay.headless.admin.taxonomy.internal.jaxrs.exception.mapper.Taxono
 myVocabularyNameExceptionMapper.xml,OSGI-INF/com.liferay.headless.adm
 in.taxonomy.internal.resource.v1_0.KeywordResourceImpl.xml,OSGI-INF/c
 om.liferay.headless.admin.taxonomy.internal.resource.v1_0.OpenAPIReso
 urceImpl.xml,OSGI-INF/com.liferay.headless.admin.taxonomy.internal.re
 source.v1_0.TaxonomyCategoryResourceImpl.xml,OSGI-INF/com.liferay.hea
 dless.admin.taxonomy.internal.resource.v1_0.TaxonomyVocabularyResourc
 eImpl.xml,OSGI-INF/com.liferay.headless.admin.taxonomy.internal.resou
 rce.v1_0.factory.KeywordResourceFactoryImpl.xml,OSGI-INF/com.liferay.
 headless.admin.taxonomy.internal.resource.v1_0.factory.TaxonomyCatego
 ryResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.admin.taxonom
 y.internal.resource.v1_0.factory.TaxonomyVocabularyResourceFactoryImp
 l.xml
Tool: Bnd-4.3.0.201909301554

